﻿using System;
using System.Collections.Generic;
using System.Text;
using ESBasic.Helpers;

namespace Core
{
    [Serializable]
    public class BaseMsg
    {
        private int msgType;

        public int MsgType
        {
            get { return msgType; }
            set { msgType = value; }
        }       
        /// <summary>
        /// 序列化为本次通信协议所规范的二进制消息流
        /// </summary>
        /// <returns></returns>
        public byte[] ToContractStream()
        {
            return MsgHelper.BuildMsg(this.msgType, SerializeHelper.SerializeObject(this));
        }       
    }
}
