﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Net;

namespace Server
{
    class UserInfo
    {
        public UserInfo(string userID, IPEndPoint addr)
        {
            this.UserID = userID;           
            this.Address = addr;
            this.LogonTime = DateTime.Now;           
        }

        public string UserID { get; set; }
        public IPEndPoint Address { get; set; }
        public string AddressText
        {
            get { return this.Address.ToString(); }
        }
        public DateTime LogonTime { get; set; }
        public string LogonTimeText
        {
            get { return this.LogonTime.ToString(); }
        }
        public ListViewItem ListViewItem { get; set; }        
    }
}
