﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using StriveEngine;
using System.Configuration;
using Core;
using StriveEngine.Tcp.Passive;

namespace StriveEngineChatDemo
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            //try
            //{
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                ITcpPassiveEngine tcpPassiveEngine = NetworkEngineFactory.CreateStreamTcpPassivEngine(ConfigurationManager.AppSettings["ServerIP"],
                                                                                    int.Parse(ConfigurationManager.AppSettings["ServerPort"]),
                                                                                    new StreamContractHelper());


                LoginForm loginform = new LoginForm(tcpPassiveEngine);               
                if (loginform.ShowDialog() != DialogResult.OK)
                {                    
                    return;
                }
                MainForm mainForm = new MainForm(tcpPassiveEngine, loginform.SelfID);               
                Application.Run(mainForm);
            //}
            //catch (Exception ee)
            //{
            //    MessageBox.Show(ee.Message);
            //}        
           
        }
    }
}
