﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Core
{
    [Serializable]
    public class FriendListMsg :BaseMsg
    {
        private string selfID;
        public string SelfID
        {
            get { return selfID; }           
        }

        private List<string> friendList;

        public List<string> FriendList
        {
            get { return friendList; }
            set { friendList = value; }
        }

        public FriendListMsg(string _selfID)
        {
            base.MsgType = Core.MsgType.InitializeFriendList;
            this.selfID = _selfID; 
        }
    }
}
