﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Core
{
    [Serializable]
    public class LoginMsg :BaseMsg
    {
        private string srcUserID;
        public string SrcUserID
        {
            get { return srcUserID; }
            set { srcUserID = value; }
        }

        private int logonResult;
        public int LogonResult
        {
            get { return logonResult; }
            set { logonResult = value; }
        }
    
        public LoginMsg(string _selfID)
        {
            base.MsgType = Core.MsgType.Logining;
            this.srcUserID = _selfID;                       
        }
    }
}
