﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Core
{
    /// <summary>
    /// 登录结果
    /// </summary>
    public class LogonResult
    {
        /// <summary>
        /// 登录成功
        /// </summary>
        public const int Succeed = 0;
        /// <summary>
        /// 重复登录
        /// </summary>
        public const int Repetition = 1;
        /// <summary>
        /// 账号密码等身份信息有误
        /// </summary>
        public const int WrongIdentityInfo = 2;
    }
}
