﻿using System;
using System.Collections.Generic;
using System.Text;
using StriveEngine.Core;

namespace Core
{
    public class StreamContractHelper : IStreamContractHelper
    {
        /// <summary>
        /// 消息头长度
        /// </summary>
        public int MessageHeaderLength
        {
            get { return MsgHead.HeadLength; }
        }
        /// <summary>
        /// 从消息头中解析出消息体长度，从而可以间接取出消息体
        /// </summary>
        /// <param name="head"></param>
        /// <returns></returns>
        public int ParseMessageBodyLength(byte[] head)
        {
            return BitConverter.ToInt32(head,4);
        }
    }
   
}
